For the complete documentation index, see llms.txt. This page is also available as Markdown.

Generate accessToken from authToken

Generate access token from auth token

post
/tenants/{tenantUid}/account
Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Tenant user respose

application/json
accountTypestring · enumRequired
ENUMDescription
FULLAccess to backoffice and onboarding of new devices
REGULARCan only login to already onboarded devices
SUPPORTSupport account
INTEGRATIONComputer integration account
Possible values:
createdAtstring · date-timeRequired
defaultStoreUidstringOptionalPattern: ^[A-Za-z0-9-_]*
displayNamestringRequired
emailstringRequired
externalIdstringRequired
firstnamestringRequired
lastAccessedstring · date-timeRequired
lastModifiedAtstring · date-timeRequired
lastnamestringRequired
mobilestringRequired
statusstring · enumRequiredPossible values:
tenantUidstringRequiredPattern: ^[A-Za-z0-9-_]+
tenantNamestringRequired
tenantRolestring · enumRequired
ENUMDescription
BLOCKEDBlocked from this tenant
ACCESSOnly access to the tenant.
ADMINTenant admin, allow full access to tenant and can add users and new stores.
BACKOFFICEAccess to product, pricelists, etc.
Possible values:
tenantUserUidstringRequiredPattern: ^[A-Za-z0-9-_]+
userCodestringRequired
languageCodestringRequired

ISO 639-1 code for language

post/tenants/{tenantUid}/account
POST /v2/tenants/{tenantUid}/account HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Tenant user respose

{
  "accountType": "FULL",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "defaultStoreUid": "text",
  "displayName": "text",
  "email": "text",
  "externalId": "text",
  "firstname": "text",
  "lastAccessed": "2026-01-01T00:00:00.000Z",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastname": "text",
  "mobile": "text",
  "status": "PENDING_INVITE",
  "storeAccess": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "storeAccessUid": "text",
      "storeUid": "text",
      "storeRole": "ADMIN"
    }
  ],
  "tenantUid": "text",
  "tenantName": "text",
  "tenantRole": "ACCESS",
  "tenantUserUid": "text",
  "userCode": "text",
  "languageCode": "text",
  "permissions": {
    "tenant": [
      "text"
    ],
    "stores": [
      {
        "store": {
          "name": "text",
          "storeUid": "text",
          "organizationUid": "text",
          "organizationName": "text"
        },
        "permissions": [
          "text"
        ]
      }
    ],
    "organizations": [
      {
        "organization": {
          "name": "text",
          "organizationUid": "text"
        },
        "permissions": [
          "text"
        ]
      }
    ]
  }
}

Last updated

Was this helpful?